Sun Jul  9 10:32:10 CEST 2023  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.9.4

	* New:
	  + All the official binaries are built with Qt 6. For macOS, the
	    Darwin-amd64.dmg file is now the Qt 6 version, whereas systems older
	    than Mojave need the package Darwin-Qt5.dmg. The string replacement
	    settings stored by Qt 6 are not compatible with Qt 5 because a
	    different encoding is used.
	  + Option "Select file on play" in "User Actions" settings tab.

	* Improved:
	  + Click on play tool bar time toggles between elapsed and remaining
	    time.
	  + The visibility and docked area of the play tool bar are restored.
	  + ID3v1: When setting multiple genres, use first supported element.
	  + Qt6: Use SVG icons for better performance in file list and dialog.

	* Fixed:
	  + Do not mark all non-unified frames as modified if any non-unified
	    frame is changed.
	  + Crash in Id3libMetadata when clicking Edit on unsupported frame.
	  + Setting text encoding on TXXX frames with TaglibMetadata.
	  + Skip non letter characters for first letter uppercase format.
	  + Discogs import: Fix values in Artist, Arranger and Performer frames,
	    use "genres" if "styles" is empty, fetch correct cover art,
	    support vinyl track numbers like A1.
	  + Qt6: Crash when adding item to config table.
	  + Qt6: Larger media player slider, do not repeat when last song has
	    been played.
	  + Windows, TaglibMetadata: Support files larger than 2 GB.
	  + Windows, OggFlacMetadata: Build without libssp-0.dll.
	  + Windows, Mp4v2Metadata: Fix saving with file names containing non
	    ASCII characters.

Thu Jan 12 12:15:43 CET 2023  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.9.3

	* New:
	  + User action script to fix ID3v2 standard violations.

	* Improved:
	  + Accept letters in track numbers when setting tags from filename.
	  + Embed lyrics: Use letras.com instead of lyrics.wikia.com.

	* Fixed:
	  + Crash upon termination when qml and qmlview actions have been used.
	  + Abort when invalid keys are used for FLAC Vorbis comments.
	  + Use of non-BMP Unicode characters with TagLib.
	  + Error description when saving files fails.
	  + Discogs import.
	  + Building with Musl libc.
	  + Windows: Handling of common path in multiple command line arguments.

Sat Aug  6 07:14:23 CEST 2022  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.9.2

	* New:
	  + Support DSDIFF (DFF) files.
	  + MP4: Support for audio book chapters, only with Mp4v2Metadata plugin.
	  + Norwegian Nynorsk translation.

	* Improved:
	  + Allow playlist file name formats to be edited.
	  + URLs with search results from web browser can be entered in the import
	    dialogs (Amazon, Discogs, gnudb.org, MusicBrainz).
	  + New style for macOS icon.
	  + kid3-cli: Encoding detection for text file import and export.
	  + kid3-cli: Set rating as star count with 'set ratingstars'.
	  + Build with latest mp4v2 library.

	* Fixed:
	  + Wrong frames are changed if track number is changed when importing.
	  + MP4: Editing of free form atoms with four letter names.
	  + Amazon import.

Sat Jan 15 09:01:43 CET 2022  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.9.1

	* New:
	  + Slovenian translation.

	* Fixed:
	  + Crash when tags are displayed in the file list, a tag is removed
	    and then saved or when the tag is reverted.
	  + With "Filename Format/Use for playlist and folder names" it is not
	    possible to rename a folder to multiple path components when a
	    string replacement for "/" is configured.
	  + With "Filename Format/Use for playlist and folder names", when path
	    components in folders or playlists contain a ".", the part after
	    the dot is not formatted.
	  + Discogs import.
	  + MP4: "No Tag" is not displayed in file list for files without
	    metadata.
	  + MP4: Metadata is not stripped from files when tag is removed
	    (requires new TagLib).
	  + Android: Import with HTTPS (Discogs, MusicBrainz) fails with
	    "Error: TLS initialization failed".

Sat Dec 18 09:22:30 CET 2021  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.9.0

	* New:
	  + Support for custom quick access frames.
	  + Support standard tags as columns in the file list.
	  + Option to use file format for playlist and folder names.
	  + Basque and Icelandic translations.
	  + kid3-cli: Command 'execute' to run QML scripts.
	  + QML: Scripts to export and import in JSON format.

	* Improved:
	  + KDE: Separate state config from settings config.
	  + kid3-cli: Allow setting frame values from a file and storing to a file.

	* Fixed:
	  + Discogs import.
	  + Get tags from file names with spaces before the extension.
	  + QML: Added support for Tag 3 where it was missing.
	  + Android: Quick access frames configuration.

Sun Jun 20 11:18:51 CEST 2021  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.8.7

	* New:
	  + Russian handbook.

	* Fixed:
	  + ID3v2: Wrong numeric strings for genres Fast Fusion, Folk, Folk Rock,
	    Folklore, Funk, Fusion.
	  + ID3v1: Genres Avant-Garde, Beat Music, Bebop, Britpop, Dancehall,
	    Dark Wave, Euro House, Eurotechno, Fast Fusion, Folk Rock, Hip Hop,
	    Jazz-Funk, Pop-Funk, Synth-Pop, Worldbeat cannot be set with TagLib
	    version < 1.12.
	  + Memory leak in the rare case where the file type is detected not by
	    the extension but by the contents.
	  + kid3-cli: Fields (sub-elements of a frame) with a non-string value
	    cannot be set with id3lib.

Thu Mar 18 08:21:47 CET 2021  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.8.6

	* Improved:
	  + Support Qt 6.
	  + Windows: Provide nicer default style.

	* Fixed:
	  + Windows 64-bit binary: Crash when using id3lib.
	  + Discogs import.
	  + Amazon import.
	  + Removed TrackType.org import.

Sun Jan 31 08:55:52 CET 2021  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.8.5

	* New:
	  + Language can be configured in "Appearance" tab of settings.
	  + New action "Edit/Invert Selection".
	  + kid3-cli: Command "config" to query and set configuration options.
	  + Script to rewrite all tags of the selected files.

	* Improved:
	  + Import multiple genres from Discogs and MusicBrainz.
	  + Support import from Discogs JSON API when token is provided.
	  + Snapshot builds can download the current translations.
	  + Mac: Allow code signing.

	* Fixed:
	  + Crash when adding Chapter frame.
	  + Support ID3v2 Podcast Category (TCAT) and Podcast Keywords (TKWD).
	  + Support for multiple genres with ID3v2.3.0.
	  + Support MP4 values with multiple strings with TagLib.

Sat Sep 26 16:36:24 CEST 2020  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.8.4

	* New:
	  + Section and file list shortcuts can be customized.
	  + Activate parent/current folder with Ctrl-Up/Down (Command-Up/Down).
	  + Go to parent item in file list when left arrow key is pressed.
	  + Header context menu options for custom or automatic column widths.
	  + Add flatpak support.
	  + Brazilian Portuguese translation.

	* Improved:
	  + Support detection of tagged file types from contents when matching by
	    extension does not succeed.
	  + Show more details (type, bits, bitrate) for M4A, FLAC, AIFF, WAV.
	  + Discogs import: Show year and format in album list.
	  + Dialogs: Store window position and size in settings.
	  + Mac: Enter key can activate entries in directory list.
	  + Android: Only navigate between tagged files with [<], [>] buttons.

	* Fixed:
	  + Do not duplicate pictures when pasting tags.
	  + Discogs import: Get year when language is not English.
	  + Keyboard shortcuts settings: Display correctly depending on language
	    and operating system.
	  + Android: Accept genre changes when focus lost and Enter not pressed.
	  + Android: Fix translation.
	  + Mac: Unlock files when changing permissions.
	  + Flatpak: Move to trash works in KDE version.

Sun May 10 08:47:03 CEST 2020  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.8.3

	* New:
	  + Keyboard shortcuts to navigate between the file and tag sections.
	  + Script to apply English title capitalization to tags.
	  + Script to transliterate ID3v1 tags to ASCII.
	  + Korean and Swedish translations.
	  + Catalan, Dutch, Italian, Swedish and Ukrainian handbooks.

	* Improved:
	  + Better compatibility with dark mode and custom themes.
	  + Support dragging multiple header rows in import table.
	  + User interface strings follow KDE HIG vocabulary.
	  + Support renaming read-only files.

	* Fixed:
	  + File filter reset when file is opened.
	  + Crash when dragging row in import table.
	  + Blocking when jumping to vanished previous or next file.
	  + Support languages with code or modifier.
	  + Hide text fragments visible in header of frame table columns.
	  + English plural forms.
	  + Add missing license files.
	  + Support large files on Windows (64-bit).

Thu Jan 23 12:18:05 CET 2020  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.8.2

	* New:
	  + Catalan, Portuguese and Ukrainian translations.

	* Fixed:
	  + Crash when removing M4A atoms.

Mon Dec 23 17:38:53 CET 2019  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.8.1

	* New:
	  + Show number of files in status bar.
	  + Support regular expressions in string replacements.

	* Improved:
	  + Support format codes in "Filename for cover" in "Extract Album Art"
	    script.
	  + The order of string replacements is respected.
	  + Show RVA2 identifier in frame table.
	  + Show UFID owner in frame table.
	  + Support setting file name with "Import from Tags".

	* Fixed:
	  + Android: Accept changes when focus is lost and Enter not pressed.
	  + Self-contained Linux package: Correctly change RPATH in plugins.
	  + Self-contained Linux package: Support composed accented characters.
	  + QML scripts: Skip "--" argument, which is used when passing
	    parameters from qml tool.
	  + Show UFID values in frame table.

Sat Aug 24 15:57:41 CEST 2019  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.8.0

	* New:
	  + kid3-cli: Support JSON output.
	  + Format codes %{modificationdate} and %{creationdate}.
	  + Support ID3v2 GRP1 frame introduced with iTunes 12.5.4.
	  + Import from Tags function which operates on selected files.
	  + Explicit frame names can be used by prepending a '!' character.

	* Improved:
	  + Adapt unified frame type mapping for better iTunes compatibility.
	  + Support multiple covers in M4A files.
	  + kid3-cli: Remove dependencies to GUI libraries.
	  + Android: Show info how to write to SD card.
	  + Android: Support Qt 5.12.

	* Fixed:
	  + Use file settings to replace illegal characters when renaming
	    directories.
	  + Self-contained Linux package: Provide libraries to run QML
	    console.

Mon Mar 18 16:19:08 CET 2019  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.7.1

	* New:
	  + Support max-, min-, unq- aggregation when renaming directories.
	  + Android: Support dark and light themes.
	  + Android: Support opening files with Kid3 from other apps.
	  + Android: Settings for formats, character replacements and import
	    profiles.

	* Improved:
	  + Support format codes in file name for cover.
	  + Support WMV extension.
	  + Android: Better file select dialog.

	* Fixed:
	  + Support setting of ID3v2 version for DSF files.
	  + Avoid jumping around frames while deleting.
	  + Removal of multiple tags where not all tags are removed.
	  + Setting of a simple string as value for IPLS frame with TagLib.
	  + Adapted to Discogs server update.
	  + Windows: Avoid insert disk dialog.
	  + Android: Save settings when app is suspended.
	  + Android: GUI updates on changes.

Sun Dec 23 12:05:20 CET 2018  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.7.0

	* New:
	  + Add and reorder playlist items using drag'n'drop.
	  + Edit tags from files referenced in playlist.
	  + Play songs from playlist.
	  + Drag image files from file list to embed them in audio files.
	  + Drag files from file list into other applications.
	  + Reload action to refresh file list.
	  + Completions with different values when selecting multiple files.
	  + Option "--dbus" to have a D-Bus interface with kid3-cli.
	  + Code "%{dirname}" to use current directory name when renaming.
	  + Code "%{disk}" as alias for "%{disc number}".
	  + Edit list of availble formats to set file and directory names
	    from the tags and vice versa.

	* Improved:
	  + Reduce number of open file handles.
	  + Allow user to resize file and directory list columns.
	  + Modernize code base, support only Qt 5, C++11, CMake 3.

	* Fixed:
	  + Add a number if a file is renamed with an existing name.
	  + Avoid losing changes when a directory is renamed.
	  + Change notifications for files in renamed directory.

Fri Aug 24 12:15:09 CEST 2018  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.6.2

	* Improved:
	  + Format from tags with custom strings prepended/appended when
	    replaced format code is not empty %{"t1"code"t2"}.

	* Fixed:
	  + MP4 free form names longer than 4 characters with TagLib.
	  + Support DOS line endings with "Import CSV".
	  + Set CTOC and CHAP element ID from values in the frame table.
	  + Correctly add frame when "Edit" is clicked on non existing frame.
	  + Show correct icon in Wayland session.
	  + Improve editing of ISO date/time values with validation enabled.
	  + Bundle OpenSSL libraries with self-contained Linux package.

Mon Apr 23 11:26:19 CEST 2018  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.6.1

	* Improved:
	  + Faster saving when many files are unchanged.
	  + Do not change file extension when creating file name from tags.
	  + Support for cross building.

	* Fixed:
	  + Parsing of xid atom with Mp4v2Metadata plugin.
	  + Scroll to opened file after sorting file list.
	  + Avoid recursion when automatically applying format.

Sun Mar 18 16:49:46 CET 2018  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.6.0

	* New:
	  + New look for Android app using Qt Quick Controls 2.
	  + Editor for star ratings, configurable mapping between rating
	    values and number of stars.
	  + Option to restrict length of file names.
	  + Option to show hidden files in file and directory lists.

	* Improved:
	  + Support adding unknown 4 letter atoms to M4A files.
	  + Allow Camelot wheel value 1A-12A, 1B-12B for initial key.

	* Fixed:
	  + Windows: Renaming directories which contain subfolders.
	  + Adding and finding unified frames by their frame ID.
	  + Deletion of M4A atoms which are not known or which have an
	    unofficial free form prefix.
	  + Support files with m4v extension.

Wed Nov  1 12:36:45 CET 2017  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.5.1

	* Improved:
	  + Compatibility of imported and exported CSV files with cells
	    containing new line characters.
	  + Do not show unknown frames for ID3v2.3 TDAT, TIME, TYER, TRDA
	    frames.
	  + Enable high-DPI scaling for Qt >= 5.6.
	  + Change AppStream directory from appdata to metainfo.

	* Fixed:
	  + Crash with DSF files having sample rates other than 2822400 or
	    5644800.

Fri Jun 16 15:41:09 CEST 2017  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.5.0

	* New:
	  + Tags which violate the ID3v2 standard are marked.
	  + Filter for marked files.
	  + Configurable keyboard shortcuts for user actions.
	  + Set and get frame fields from scripts and CLI.
	  + Select a subset of frames for copy, paste, remove from scripts
	    and CLI.
	  + Set and get multiple frames of the same kind from scripts and CLI.
	  + Support field names in export and filter expressions.
	  + Support xid and ownr atoms in M4A files.
	  + Danish translation.

	* Improved:
	  + Better performance when files are added to selection.
	  + The script actions in the file list context menu only operate on
	    selected files.
	  + Only jump to tagged files with previous/next in GUI.
	  + Show passed/total after "filtered" in title bar.
	  + kid3-cli can run from a console without GUI/X11.

	* Fixed:
	  + Adding and deleting tag 3 frames from CLI.
	  + Deletion of multiple METADATA_BLOCK_PICTURE picture frames.
	  + Wrong depth 32 instead of 24 stored in METADATA_BLOCK_PICTURE.
	  + Use Ogg/Vorbis Comment field name setting also for Opus files.

Sat Feb 18 19:21:55 CET 2017  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.4.5

	* New:
	  + Settings to include and exclude folders in the file list.

	* Improved:
	  + Use HTTPS for imports where possible.
	  + Much faster expanding of the file list by avoiding GUI
	    updates during the operation.
	  + Faster filtering by avoiding GUI updates during the
	    operation.
	  + Reduced memory usage when filtering.
	  + Updated Czech and Dutch translations.

	* Fixed:
	  + Import from MusicBrainz.
	  + Rate limit for import from Discogs.
	  + Do not display multiple frames of same type as different.
	  + Application not responsive when using a new filter after
	    filtering a huge number of files.
	  + Application not responsive when loading the tags after
	    selecting a lot of files, is now abortable.
	  + Terminate kid3-cli if EOF is received.

Fri Dec 23 08:33:40 CET 2016  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.4.4

	* New:
	  + If the first command line argument is "--portable", the
	    configuration is stored in a file kid3.ini in the program folder.
	  + Image data can be copied to clipboard.
	  + MPRIS2 D-Bus interface for the audio player.

	* Improved:
	  + "Import CSV" can import to different files if no matching
	    file paths found.

	* Fixed:
	  + Importing of durations from text formats (file/clipboard).
	  + Building with Chromaprint 1.4.

Tue Nov  1 20:16:59 CET 2016  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.4.3

	* New:
	  + The RIFF track field name is configurable (IPRT, ITRK, TRCK)
	    for better interoperability.
	  + The RIFF chunk name for ID3v2 tags in WAV files is configurable
	    (ID3, id3) for better interoperability.
	  + ID3v2 tags in WAV files can have version 2.3.0 or 2.4.0.

	* Improved:
	  + Support new classical music frames introduced with iTunes 12.5.

	* Fixed:
	  + Use the last sort order and column for the file list on startup.
	  + Display expected ID3v2 version if no ID3v2 tag exists yet.
	  + Tag 3 can be addressed in kid3-cli by number "3".
	  + Support translated display frame names in kid3-cli.
	  + Avoid crash when pictures in FLAC files are empty or too large.

Wed Aug 24 14:44:04 CEST 2016  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.4.2

	* Fixed:
	  + Embed Lyrics works again with makepersonal.co and
	    lyrics.wikia.com.
	  + Do not add an empty frame when deleting a non existant frame
	    in kid3-cli.
	  + Support setting multiple frames of the same type with
	    copy/paste.
	  + Allow editing of quick access frames which are not yet present
	    in the file.
	  + Reset shortcuts and appearance configuration when the defaults
	    are restored in the settings.

	* Improved:
	  + Do not show any disabled tag values in the Tag 1 section
	    for files which do not support an ID3v1 tag.
	  + Set the file filter for the file list in the file settings,
	    not with the filter used in the open dialog.
	  + Disable the global app menu on Ubuntu's Unity desktop.

Fri Jun 24 20:20:20 CEST 2016  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.4.1

	* Fixed:
	  + Avoid wrong marking of ID3v2 Date frames as modified.
	  + Enable setting M4A, Vorbis date with ISO date/time also when no
	    tag exists.
	  + Windows: Fix separators and relative file names in playlists.
	  + Windows: Install missing SSL DLLs, needed for Discogs import.
	  + Windows: Fix temporary file creation in id3lib.

Sat Apr 23 16:30:36 CEST 2016  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.4.0

	* New:
	  + Support more than two tags for MP3 files with ID3v1, ID3v2 and APE
	    tags, FLAC files with ID3v1, ID3v2 and Vorbis tags.
	  + Support RIFF INFO tags in WAV files.
	  + Filename to tag format can be defined as a regular expression with
	    captures.
	  + Perl regular expressions with Qt 5.

	* Improved:
	  + Import from tags is also available from CLI, QML and D-Bus.
	  + Help for editing synchronized lyrics.
	  + Handle redirects when downloading.

	* Fixed:
	  + Windows: Saving files which are open in player, e.g. when editing
	    synchronized lyrics.
	  + Windows: Timestamp preservation with non-ASCII file names.
	  + KDE 5: Jumping to a specific help topic.
	  + Enable setting ID3v2.4 date with ISO date/time also when no tag
	    exists.
	  + Crash when writing to a FLAC file which cannot be opened.

Thu Mar 10 17:55:29 CET 2016  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.3.2

	* New:
	  + Setting for text encoding used in playlists and exports.

	* Improved:
	  + Support removing tags in MPC, WavPack with TagLib 1.11.

	* Fixed:
	  + Windows: Fix plugin name in qmldir.
	  + Windows: Crash when adding large pictures to Ogg files.
	  + Windows: Go back to older Qt 5.4.2 to avoid random crashes.
	  + Stripping of ID3v2 tags from WAV files with TagLib 1.11.
	  + Adapted to Discogs server update.

Thu Dec 17 14:53:06 CET 2015  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.3.1

	* New:
	  + Package for Android.
	  + Support setting of data in GEOB frames from CLI and scripts.
	  + Icons for high pixel density displays.

	* Improved:
	  + Trim values from tags in format strings to avoid whitespace when
	    setting file names from tags.
	  + Updated Czech translation.

	* Fixed:
	  + List picture in get command of kid3-cli also if its description
	    is empty.
	  + Set configured text encoding in picture frames.
	  + Make file renaming work when saving non writable files.
	  + Use high resolution icon in task switcher.
	  + Avoid cropping in picture preview window on high pixel density
	    displays.

Thu Oct  1 17:09:46 CEST 2015  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.3.0

	* New:
	  + Make order of quick access frames configurable.
	  + Support separators and submenus in user action context menu.
	  + Restore defaults button in settings dialog.
	  + CSV import from multiple directories.
	  + Support for lyrics.wikia.com in embed lyrics script.
	  + Support for chapter and table of contents audiobook frames.
	  + Mac, Windows: Support for podcast frames.

	* Improved:
	  + Display user friendly names for all supported frames.
	  + Updated Czech translation.
	  + Change file permissions in the case of modified file names.

	* Fixed:
	  + Wrong and missing translations.
	  + Removing ID3v1 genre with id3lib.
	  + KDE 5: Name filters used in file dialogs, blocking file dialogs.
	  + KDE 5: Invoking help in settings dialog.
	  + KDE 4: Build with kdelibs-4.14.11.
	  + Qt 5.5: Spurious popping up of download dialog.
	  + Do not abort build if qmlplugindump cannot be started.

Sat May  9 11:18:57 CEST 2015  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.2.1

	* New:
	  + Support APE cover art.

	* Improved:
	  + Mac: Do not show empty menu icons for About, Find, Replace.

	* Fixed:
	  + Wrong size of picture when switching from file with only IDv1
	    tag to file with picture.
	  + Mac: Empty root instead of file tree when opening file on
	    network share.
	  + Allow escaping of single quotes in kid3-cli.
	  + Qt4: Do not run qmlplugindump when building, it needs an X11
	    connection.

Fri Mar 13 06:36:03 CET 2015  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.2.0

	* New:
	  + Support QML/JS scripts for user actions.
	  + Batch embed, export, and resize album art.
	  + Batch lyrics download.
	  + Recursive tag export.
	  + Support build with KDE 5.
	  + Support DSF files with TagLib 1.9.1.
	  + Option to mark pictures larger than a given size.
	  + Number tracks can reset track number for each folder.
	  + Number tracks can only format numbers or set total.
	  + Only expand subtree if shift is pressed with "Expand all".
	  + Support Ogg FLAC files.
	  + QML plugin.

	* Improved:
	  + File suffix for export (e.g. picture) is determined by mime type.
	  + Image dimensions are displayed below picture.

	* Fixed:
	  + Crash when TagLib file is saved with changes in tags and file name.
	  + Deletion of picture frames from Ogg/Opus files.
	  + Setting description of Ogg pictures in frame table.
	  + Reactivate support for AAC and MP2 files with TagLib.
	  + Mac OS X: Avoid excessive memory consumption.
	  + Adapted to Discogs server update.
	  + Adapted to Amazon server update.

Sun Nov  9 13:30:51 CET 2014  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.1.2

	* New:
	  + Allow user to change the file permissions of read-only files.

	* Improved:
	  + Updated Simplified Chinese translation.
	  + Reduce number of open file descriptors with TagLib >= 1.8.

	* Fixed:
	  + Adapted to Discogs server update.
	  + Correctly add missing frames when editing multiple files.
	  + The value of an existing frame on multiple files can be set
	    via D-Bus.
	  + File names with special characters in Mp4V2Metadata on Windows.
	  + Appdata passes appdata-validate check.

Thu Aug 21 19:06:09 CEST 2014  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.1.1

	* New:
	  + Validation for date/time, track and disc number frames.
	  + Mac OS X: Drop on dock icon.
	  + Timeout command in kid3-cli to overwrite command timeout.
	  + Build option WITH_NO_MANCOMPRESS to disable gzipped manpages.

	* Improved:
	  + Updated Czech translation.
	  + Support drag'n'drop from https, ftp.
	  + Show picture type in frame table.
	  + Allow import from file/clipboard with empty date fields.
	  + Mac OS X: Placement of Preferences, Quit, About in application menu.
	  + Add AppData and comment in desktop file for GNOME Software.
	  + Handling of RPATH to private libraries.

	* Fixed:
	  + Setting of POPM frames using kid3-cli.
	  + Removing of COMM, PRIV, TXXX, free form frames.
	  + Windows: kid3-cli output redirection.
	  + Mac OS X: Support case-sensitive filesystems.
	  + Mac OS X: Fix drag'n'drop on OS X 10.10 Yosemite Preview.
	  + Restore Ogg files if writing fails.
	  + Format while editing for tag 2.
	  + Support composer when importing from MusicBrainz.
	  + Opening external links from handbook.

Mon Apr 21 09:34:23 CEST 2014  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.1

	* New:
	  + Support for synchronized lyrics and event timing codes.
	  + Import and export of LRC (synchronized lyrics/Karaoke) files.
	  + Find and replace strings in tags and file names.
	  + Display details and sort columns in file list.
	  + Open and Open Containing Folder file list actions.
	  + Support Ogg and Opus cover art.
	  + Export format CDRDAO TOC for CDs with CD-text from WAV tags.
	  + D-Bus command expandFileList() to expand the whole file list.

	* Improved:
	  + Updated Czech, Finnish, Estonian translations.
	  + GUI and usability, keyboard navigation.

	* Fixed:
	  + Restore Quick Access Tags settings properly.
	  + Support tags from file name with 2 character extensions (e.g. ".wv").
	  + Keyboard shortcuts settings with Mac OS X 10.9.
	  + Build without Phonon.
	  + Fingerprint decoding and resampling with libav.
	  + D-Bus command expandDirectory().

Wed Nov 27 17:39:57 CET 2013  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.0.2

	* Fixed:
	  + Translations and handbook are not found on Mac OS X 10.9 Mavericks.
	  + Application termination when main window is closed while handbook
	    is open.
	  + Tag 1 genre combobox is empty if "show only custom genres" is set.
	  + Session restoration.
	  + Detection of installed Qt 5.
	  + KDE application does not find libraries if prefix is not /usr.
	  + Build if all translations are disabled.

	* Improved:
	  + Added new genres introduced in Winamp 5.6.

Tue Oct 29 18:15:04 CET 2013  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.0.1

	* Fixed:
	  + Filename format configuration can not be changed.
	  + Menus get broken when toolbar is changed in KDE version.
	  + Incorrect conversion of configuration in KDE version.
	  + Unintended result selection in first track of fingerprint import.
	  + Crash at exit after canceling fingerprint import with GStreamer.
	  + Prefer GStreamer 0.10 over 1.0 to avoid hang in Phonon.
	  + Build with readline needing termcap (as used in Slackware).
	  + Build with FFmpeg 2.0 (as used in openSUSE 12.3).
	  + Honor LIB_SUFFIX if set (as used in Fedora).

Mon Oct 14 21:30:42 CEST 2013  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 3.0

	* New:
	  + Command-line interface kid3-cli.
	  + Use common shared libraries for KDE, Qt-only and CLI versions.
	  + Plugins for metadata libraries and importers.
	  + Support Opus files with TagLib 1.9.
	  + Support GStreamer 1.0.
	  + Support libavresample 0.0.3.

	* Improved:
	  + Editing without leaving the keyboard.
	  + When saving a file fails, tell user if it is not writable.
	  + Escape metacharacters in HTML export.
	  + Updated Czech translation.
	  + Updated Finnish translation.
	  + Cleaned up configuration option sections.

	* Fixed:
	  + Crash when saving non-FLAC file with flac extension.
	  + Support minimum Mac OS X version 10.5.
	  + Load Qt libraries only from bundle on Mac OS X.

Sat Mar  2 09:36:02 CET 2013  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 2.3

	* New:
	  + Automatic batch import for multiple directories.
	  + Import catalog number and release country from Discogs and
	    MusicBrainz.
	  + Quick access tags are configurable for tag 2.
	  + Setting for default file name to save cover art.
	  + Select all in directory.
	  + Apply text encoding.
	  + Support Qt 5.0.

	* Improved:
	  + Better responsiveness when working with a huge number of files,
	    long operations can be aborted (filtering, renaming, expanding).
	  + Support custom frame names in formats and imports.
	  + Display accuracy and cover art URL for imports.
	  + Added more unified frame types.
	  + GUI and usability.

	* Fixed:
	  + Swapped mapping of too and enc for M4A files.
	  + Compatibility of ID3v2.4.0 COMM frames with iTunes.
	  + Do not remove spaces in Vorbis comment field names.
	  + Crash and decoding for fingerprints with libav 9.1.

Mon Dec  3 11:09:12 CET 2012  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 2.2.1

	* Improved:
	  + Updated Czech translation.

	* Fixed:
	  + Fixed selection of language and handbook with Qt 4.8.

Fri Oct 26 17:07:27 CEST 2012  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 2.2

	* New:
	  + Option to load last opened file on startup.
	  + Option to use locale for character conversion.
	  + Support new features of TagLib 1.8: More ID3 frames, ID3v2.3,
	    tracker modules (MOD, S3M, IT, XM).
	  + Support use of GStreamer instead of FFmpeg for Chromaprint decoding.
	  + Support building with latest libav/FFmpeg libraries.

	* Improved:
	  + Extract year from "YYYY-MM.." date frame for %{year} format code.
	  + Character conversion for roman numbers.
	  + Dutch translation.
	  + Finnish translation.

	* Fixed:
	  + Avoid crash when exporting album cover while editing multiple files.
	  + Check if file format supported before converting to ID3v2.3.0.
	  + Rewritten Discogs import to use Discogs API v2.0.

Mon May  7 21:20:06 CEST 2012  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 2.1

	* New:
	  + Keyboard shortcuts configuration for Qt-only version.
	  + Use Chromaprint for import from MusicBrainz Fingerprint, is now
	    also available on Windows and Mac OS X.
	  + Serbian translation.
	  + Support build with Qt5.

	* Improved:
	  + Support most frames in format codes with %{framename}.
	  + Support iTunes ID3v2.4 frames TCMP, TSO2, TSOC.
	  + Option to use the native file dialogs for Qt-only version.
	  + Handling of pictures in WMA files.
	  + Use themed icons.
	  + Building with shared libraries on KDE.
	  + Handle carriage return characters in output from user commands.

	* Fixed:
	  + Windows: Avoid truncation of file when renaming with illegal
	    characters.
	  + Limit number of open file handles.
	  + Nicer icons, install SVG instead of SVGZ in kid3-qt.
	  + Fixed import from Amazon.
	  + Adapted to Discogs server update.

Sat Oct 29 11:23:46 CEST 2011  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 2.0.1

	* Fixed:
	  + Prevent cursor from jumping to end in format line edits.
	  + Correctly update file selection after add, edit or delete frame.
	  + Build system finds DocBook XSL on various Linux distributions,
	    finds Phonon on Ubuntu 11.10, can build with shared libraries.
	  + Correctly set bundle version on Mac OS X.
	  + Czech translation.

Tue Aug 30 19:02:37 CEST 2011  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 2.0

	* New:
	  + Import from tags to extract and move information between tags.
	  + Play a track on double click (optional).
	  + Searching in help browser.
	  + Move files to trash instead of deleting them.
	  + Automatic setting of checkboxes when frame is changed.
	  + Support for APE tags with TagLib 1.7.

	* Improved:
	  + Major refactoring to improve software architecture, separated
	    GUI from application logic using the Qt 4 Model/View
	    architecture. This required dropping support for Qt 3 and
	    KDE 3. Unified build system using CMake for KDE and Qt-only
	    versions.
	  + The file list is updated on file system changes and is faster.
	  + Import sub-dialogs are modeless and do not block import dialog.
	  + Import table is editable and has optional columns for file
	    names and paths (selectable with context menu).
	  + The tracks to import can be selected, e.g. to import only one
	    CD from a double-CD album.
	  + Number Tracks can number the tracks of multiple directories.
	  + Multiple directories can be selected with Rename Directory.
	  + M4A support with TagLib (can fully replace libmp4v2).
	  + Exports are displayed in a table if they contain tabulators.
	  + Adding and editing formats is now more user friendly.
	  + GUI and usability.

	* Fixed:
	  + Genre and track total in M4A files with TagLib.
	  + Execution of user action without command.
	  + Adapted to Discogs server update.

Sat Jan 15 16:52:22 CET 2011  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 1.6

	* Improved:
	  + The total number of tracks can be set in the "Number Tracks"
	    dialog.
	  + All numeric fields can be padded with zeros.
	  + Parts of the filename can be ignored when generating tags from
	    the filename.
	  + Updated Estonian, Italian and Czech translations.

	* Fixed:
	  + Track number digits option works now with ID3v2.4 and UTF8/UTF16.
	  + Adapted to Discogs server update.

Sun Sep 26 14:14:55 CEST 2010  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 1.5

	* New:
	  + Versions without KDE (kid3-qt, Windows, Mac OS X) now have also
	    icons, a toolbar, and functions "Open Recent", "Show Statusbar".
	  + A simple audio player is available via "Tools" and context menu.
	  + Option "Auto Hide Tags" to hide unused tags.
	  + Option to set number of digits in track number.
	  + Support for cover art in WMA files.
	  + Context menu items "Expand all" and "Collapse all".
	  + Double click on picture to add or edit cover art.
	  + Chinese translation.

	* Improved:
	  + Faster filter.
	  + Frame difference shows all frames of the selected files.
	  + The buttons "From Filename" are now beside the corresponding
	    format and named "To Tag 1" and "To Tag 2". The buttons
	    "From Tag 1" and "From Tag 2" are beside their format.

	* Fixed:
	  + Setting pictures using D-Bus function setFrame().
	  + Correct extensions for ".aac" and ".mp2" files when generating
	    filenames from tags.
	  + Correct setting of URL field in WXXX frames when set in table.
	  + Do not lose focus in frame tables when window is deactivated.
	  + MIME types, documentation adapted for KDE 4.5.

Sun Feb 28 15:50:51 CET 2010  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 1.4

	* New:
	  + Support for cover art in Ogg files.
	  + Import from Amazon.
	  + Separate formats for "to filename" and "from filename".
	  + Czech translation.

	* Improved:
	  + Use of UTF8 and UTF16 encoding when non-ASCII characters are used.
	  + GUI and usability.

	* Fixed:
	  + Correctly set tags when tags of multiple files are selected,
	    edited, and then copied to the other tag.
	  + Adapted to Discogs server update.

Fri Oct 23 20:55:17 CEST 2009  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 1.3

	* New:
	  + Advanced playlist dialog.
	  + Support for WMA/ASF, AIFF and WAV files.
	  + Estonian, Finnish and Turkish translations.

	* Improved:
	  + When changing the current file while a tag field is being edited,
	    the changes are preserved.
	  + Translation system.
	  + Settings in Number Tracks dialog can be saved.
	  + Filter files without attached pictures.
	  + Support for libmp4v2 1.9 and TagLib 1.6.

	* Fixed:
	  + Show album art when multiple files are selected.
	  + From Tag 2 option can be restored in Rename Directory dialog.
	  + Picture download.
	  + Adapted to Discogs server update.

Thu Apr  2 19:44:10 CEST 2009  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 1.2

	* New:
	  + Import of album cover art from various sources.
	  + Mark changed tag fields and filenames.
	  + Option to store ID3v2 genre as text instead of numeric string.
	  + Track number format with configurable amount of leading zeros.

	* Improved:
	  + Directory deb to generate Debian packages for KDE 4 and Qt 4 or
	    KDE 3 and Qt3.
	  + Proxy authentication with Qt 4.
	  + Display and editing of COMM, PRIV, UFID, MCDI and POPM frames.
	  + Technical details (bitrate, codec, ...) for export and filter.

	* Fixed:
	  + Format replacements %c, %y, ... are replaced with empty
	    strings if the corresponding field is empty
	  + Charset for gnudb.org import.
	  + ID3v1 fields are displayed correctly after saving when the
	    ID3v2.3 encoding is set to UTF16.
	  + Correct header information for MP3 files with attached picture
	    or without ID3v1 tag.
	  + Adapted to Discogs server update.

Sat Sep 27 15:51:35 CEST 2008  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 1.1

	* New:
	  + Dutch translation.
	  + New general frame types Album Artist, Grouping, Lyrics, Media,
	    Remixer.
	  + Setting character encoding for ID3v1.1 tags.
	  + Import additional tags from Discogs and MusicBrainz.

	* Improved:
	  + All frame types (not only Artist, Album, ...) can be used for all
	    operations (e.g. import, export, tag <-> file name, rename, ...).

	* Fixed:
	  + Build for KDE 3 without id3lib or TagLib
	  + Suppress using unsupported UTF-8 for ID3v2.3
	  + Qt 4, KDE 4: Wrong track times in import dialog when some track
	    times are missing.
	  + KDE 4: Translations with arguments (%1, %2).
	  + Windows: Displaying pictures with JPEG plugin.
	  + MacOS X: Dropping and displaying pictures.

Sat Mar  1 15:44:56 CET 2008  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 1.0

	* New:
	  + File filter.
	  + D-Bus interface to control application by scripts.
	  + Long format codes %{title}, %{album}, ... and tooltips for formats.
	  + Support for FLAC pictures.
	  + Polish translation.

	* Improved:
	  + GUI and usability.
	  + Rename directory wizard.
	  + Use xdg-open as the default web browser.
	  + Display description instead of TXXX and WXXX.
	  + Add pictures to files by drag and drop and from clipboard.
	  + Compilation with GCC 4.3 and compiler detection for kid3-qt.
	  + Support for TagLib 1.5.

	* Fixed:
	  + KDE 4 docs in correct directory.
	  + Crash when TSST frame was added to ID3v2.3.0 tag.
	  + Disappearing ID3v1 genres.
	  + Possible crash when import or export format was added.

Thu Nov 15 21:52:36 CET 2007  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 0.10

	* New:
	  + All frames can be edited in tables, not only the standard tags.
	  + Support for MP4/AAC, MP2, Speex, TrueAudio, and WavPack files.
	  + Default encoding can be configured.
	  + Italian translation.
	  + Support build with KDE 4.

	* Improved:
	  + Conversion between ID3v2.3 and ID3v2.4 for all supported frames.
	  + GUI and usability.
	  + Qt4 version builds without Qt3Support module

	* Fixed:
	  + Correct kid3-qt icon.
	  + kid3-qt builds correctly without id3lib or without MusicBrainz.
	  + Remove deleted user actions from configuration.
	  + Allow new export/import formats with empty fields.
	  + Reread file after conversion from ID3v2.4 to ID3v2.3.
	  + Rename directory does not rename when tags are empty.

Sat May  5 14:22:28 CEST 2007  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 0.9

	* New:
	  + Hierarchical directory tree instead of flat file list.
	  + Enhanced context menu commands, can be used to browse for lyrics
	    and album art.
	  + Import from gnudb.org.
	  + Conversion between ID3v2.3 and ID3v2.4 tags.
	  + Editor for custom genres.
	  + Option to mark truncated ID3v1.1 fields.

	* Improved:
	  + Frames are listed alphabetically and can be edited and deleted
	    in multiple files.
	  + Import from TrackType.org (formerly freedb2.org)

	* Fixed:
	  + MusicBrainz fingerprint import.

Tue Nov 21 23:39:09 CET 2006  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 0.8.1

	* Fixed:
	  + A new Custom genre was added on termination.

Sat Nov 11 11:02:44 CET 2006  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 0.8

	* New:
	  + Import from freedb2.org, Discogs and MusicBrainz release database.
	  + Support for ID3v2.4 and MPC using TagLib.
	  + Context specific help in dialogs.
	  + Support build with Qt4.

	* Improved:
	  + Show tag formats.
	  + Remove non-letter characters before matching by title in
	    import dialog.
	  + Buttons to save dialog specific settings.

	* Fixed:
	  + Allow building with tunepimp 0.5.x.
	  + Place kid3.desktop in /usr/share/applications/kde/.
	  + Fix inadvertent changes of ID3v2.3 genre strings.
	  + Remove trailing zeroes in unicode strings.

Wed Jun  7 21:14:24 CEST 2006  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 0.7

	* New:
	  + Export dialog can export tags as CSV, HTML, playlists, Kover
	    XML and other formats. CSV files can be imported again.
	  + Show/hide ID3v1.1/ID3v2.3 controls.
	  + Custom strings can be used for ID3v2.3, Ogg/Vorbis and FLAC genres.
	  + Automatic numbering of tracks.

	* Improved:
	  + Direct menus for freedb.org and MusicBrainz import.
	  + freedb.org import has suggested search string, search history.
	  + Imported tracks can be reordered to match track number, title
	    or length.
	  + Format while editing affects most operations, is split into separate
	    options for filenames and tags, menu commands to apply
	    filename format and tag format.
	  + Case conversion is done before string replacements, so that "case
	    exceptions" can be corrected.
	  + Builds with libtunepimp 0.4.x.

	* Fixed:
	  + Remove temporary Ogg file when filename and tags are changed.
	  + Mark file as changed when Ogg genre is changed.
	  + Correct length restriction for ID3v1.1 comment.
	  + Open directories with special characters from the command line.
	  + Import from file/clipboard does not use durations from
	    previous freedb.org import.

Mon Oct 24 16:59:35 CEST 2005  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 0.6

	* Support for Ogg/Vorbis and FLAC files

	* Import from MusicBrainz

	* Usability improvements

Mon Jul 26 20:05:14 CEST 2004  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 0.5

	* When importing, check the length and the count of the tracks

	* Keyboard shortcut configuration

	* Rename and create directories from tags

	* Display information about tags, bitrate, length, ...

Sat Jan 24 13:39:44 CET 2004  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 0.4

	* Direct import from freedb.org

	* freedesktop.org compliant kid3.desktop file

	* Accept freedb.org input if there is no year or genre information

	* File renaming works on Windows filesystems if case changed

	* Context menu in string replacement table

	* Progress bar while saving directory

Sat Oct 18 16:40:42 CEST 2003  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 0.3

	* Automatic case conversion and string replacements

	* Import of album data from freedb.org and other sources

	* Improved Windows (Qt only) version: persisted configuration,
	  online help

	* Support files for KDevelop and Visual C++

	* Improved Unicode support, however some bugs in id3lib have to be
	  fixed before this is of real use

Sat Sep 06 2003 Egor S. Orlov <oes@altlinux.ru> 0.2.1-alt0.1
	* Added russian translation

Thu May 13 07:37:07 CEST 2003  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 0.2.1

	* Now uses the standard automake/autoconf build process provided
	by kapptemplate.

Sat Apr 26 08:38:14 CEST 2003  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Release 0.2

	* Use QScrollView for control widgets at the right side and
	separate them from the filelist by a QSplitter, so that the window
	can be resized to a small size.

	* Show busy cursor while reading and writing files.

Thu Jan 16 19:41:21 CET 2003  Urs Fleisch  <ufleisch@users.sourceforge.net>

	* Started ChangeLog.
